/* 
header.css
Created: 6/5/2026
Last Edited: 6/9/2026
Author: John Wesley Thompson 
*/


header {
    display: flex;
    position: sticky;
    padding: var(--space-s);
    gap: var(--space-m);
    top: 0;
    z-index: 2;
    background-color: black;
}
header::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -20px;
    width: 100%;
    height: 20px;
    background: linear-gradient(to bottom, black, transparent);
    pointer-events: none;
}
header * {
    font-family: var(--header-font);
    color: rgba(var(--primary-text-color));
}

#logo {
    padding-inline: var(--space-s);
    /* padding-bottom: var(--space-xs); */
    /* margin: var(--space-s) var(--space-m); */
    margin: 0;
    cursor: pointer;
}
#logo a {
    text-decoration: none;
}
nav {
    margin-block: auto;
    background-color: black;
    cursor: pointer;

    font-size: var(--base-font-size-sm);
}
nav ul {
    display: flex;
    gap: var(--space-s);
    margin: 0;
    padding: 0;
    list-style: none;
}

.invisible-x-shape {
    font-size: calc(var(--base-font-size-sm) - 0.2em);
    color: rgb(var(--blue-accent-rgb) / 0.5);
    opacity: 0;
    
    /* transition: opacity 0.3s; */
}
.nav-item {
    position: relative;
    padding-inline: var(--space-xs);
    text-decoration: none;
    min-width: fit-content;
}
.nav-item:hover .invisible-x-shape {
    opacity: 1;
}

.contact-method {
    padding-inline: var(--space-xs);
}
.contact-method:hover {
    text-decoration: underline;
    text-decoration-thickness: 2px;
    text-decoration-color: rgb(var(--blue-accent-rgb) / 0.5);
}

#contact-me-btn {
    position: relative;
    background-color: transparent;
    border: none;
    padding-inline: var(--space-xs);
    font-size: var(--primary-text-color);
    cursor: pointer;

    transition: width 0.3s;
}

#nav-contact-methods.slider {
    max-width: 0px;
    opacity: 0;
    white-space: nowrap;

    transition: max-width 0.3s, opacity 0.3s;
}
#nav-contact-methods.slider.open {
    max-width: 600px;
    opacity: 1;
}

.contact-svg {
    height: 1rem;
    transform: translateY(0.1rem);
}

.divider {
    padding-inline: var(--space-xs);
}

#resume-btn {
    background-color: rgb(var(--blue-accent-rgb) / 0.3);
    border: 2px solid rgb(var(--blue-accent-rgb) / 0.03);
    border-radius: 4px;
    width: fit-content;
    padding: 2px 10px;
    margin-block: auto;
    margin-inline: var(--space-xs);

    transition: transform 0.3s ease, background-color 0.4s ease;
}
#resume-btn:hover {
    background-color: black;
    border-color: rgb(var(--blue-accent-rgb) / 0.5);
    transform: scaleX(102%);
}
#resume-btn:hover #resume-x-shape {
    color: rgb(var(--blue-accent-rgb) / 0.5);
}
#resume-x-shape {
    font-size: calc(var(--base-font-size-sm) - 0.2em);
    color: #232323;

    transition: color 0.3s;
}

#locale {
    font-size: calc(var(--base-font-size-sm) - 0.15em);
    padding: var(--space-xs) var(--space-s);
    margin: auto 0 auto auto;
    min-width: fit-content;
}
#locale:hover {
    color: rgb(var(--blue-accent-rgb) / 0.5);
    cursor: pointer;
}

#open-sidebar-btn {
    display: none;
    background: none;
    border: none;
    margin-left: var(--space-s);
    cursor: pointer;
}
#close-sidebar-btn {
    display: none;
    background: none;
    border: none;
    cursor: pointer;
}
#sidebar-overlay {
    display: none;
    background-color: rgba(0, 0, 0, 0.5);
    position: fixed;
    inset: 0;
    z-index: 2;
}

@media screen and (max-width: 1150px) {
    nav {
        position: fixed;
        top: 0;
        right: -100%;
        height: 100vh;
        height: 100dvh;
        width: min(300px, 50%);
        border-left: 2px solid rgb(var(--blue-accent-rgb) / 0.3);

        transition: right 0.3s;
        z-index: 3;
    }
    nav.show-sidebar {
        right: 0;
    }
    #open-sidebar-btn {
        display: block;
    }
    #close-sidebar-btn {
        display: block;
    }
    nav.show-sidebar ~ #sidebar-overlay {
        display: block;
    }

    nav ul {
        width: 100%;
        flex-direction: column;
    }

    nav a {
        padding: var(--space-s) var(--space-m);
    }
    nav a:hover {
        background-color: rgb(var(--blue-accent-rgb) / 0.3);
    }

    .nav-item {
        display: block;
        width: 100%;
    }

    #nav-contact-methods {
        margin-top: var(--space-m);
        padding-top: var(--space-m);
        border-top: 2px dotted rgb(var(--blue-accent-rgb) / 0.3);
    }

    #resume-btn {
        width: calc(100% - 4ch);
        margin-inline: 2ch;
    }

    .contact-method {
        padding-left: 2ch;
    }
    .contact-method:hover {
        background-color: transparent;
    }

    #contact-me-btn,
    .divider {
        display: none;
    }
}